[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

perl-after-upgrade



Mathieu Arnold wrote:
> +-Le 15/02/2005 22:50 +0100, Anton Berezin a dit :
> |> I already asked once or twice, but I don't remember why it's bad to just
> |> : ldconfig -m /usr/local/lib/perl5/5.8.6/mach/CORE ?
> | 
> | 1. Might break things on 4.X, where there is a "real" /usr/lib/libperl.so
> | 2. This is a larger cludge than patching up the binaries.  :-)
> 
> So, it worked because I don't have any 4.X with a /usr/bin/libperl.so :-)
                                                          ^^^
No one have :)

Anyway I think that /usr/lib/libperl.so (on 4.X) must be moved somewhere on 
"use.perl port" (and moved back on "use.perl system").

The reason is incompatibility with mod_perl linked against libperl.so.

-- 
Sergey Skvortsov
mailto: skv_(_at_)_protey_(_dot_)_ru